/*******************************************************************************
 * Copyright (c) 2009, 2012 Oracle. All rights reserved.
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0
 * which accompanies this distribution.
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *     Oracle - initial API and implementation
 ******************************************************************************/
package org.eclipse.persistence.tools.db.driver;

/**
 * Adapt database-specific identifier-folding etc.
 *
 * @version 2.5
 */
interface FoldingStrategy {

	/**
	 * Fold the specified identifier.
	 */
	String fold(String identifier);

	/**
	 * Returns whether the specified database object name is already folded, meaning, typically, if
	 * it has no special characters, it requires no delimiters.
	 */
	boolean nameIsFolded(String name);
}